import { tAuthenticityIdentCheckResultType } from '../../../../../../../../../../models';
import { eCheckDiagnose, eCheckResult, eSecurityFeatureType } from '../../../../../../../../../../consts';
import { aAuthenticityCheck } from '../authenticity-check.abstract';
import { iRLocation, RLocation } from './children';
/**
* Authenticity image check list item
*/
export interface iRAuthenticityIdentCheck extends aAuthenticityCheck {
    /**
    * Feature type
    * @type {tAuthenticityIdentCheckResultType}
    */
    checkType: tAuthenticityIdentCheckResultType;
    /**
    * Area location
    * @type {iRLocation|undefined}
    */
    location?: iRLocation;
    /**
    * Identity percent of the etalon and sample image
    * @type {number}
    */
    similarity: number;
    /**
    * Element with which errors are checked
    * @type {eSecurityFeatureType}
    */
    type: eSecurityFeatureType;
    /**
    * Located image fragment
    * @type {string}
    */
    image: string;
    /**
    * Reference image
    * @type {string}
    */
    referenceImage: string;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
}
/**
* Authenticity image check list item
*/
export declare class RAuthenticityIdentCheck extends aAuthenticityCheck implements iRAuthenticityIdentCheck {
    /**
    * Feature type
    * @type {tAuthenticityIdentCheckResultType}
    */
    checkType: tAuthenticityIdentCheckResultType;
    /**
    * Area location
    * @type {RLocation|undefined}
    */
    location?: RLocation;
    /**
    * Identity percent of the etalon and sample image
    * @type {number}
    */
    similarity: number;
    /**
    * Element with which errors are checked
    * @type {eSecurityFeatureType}
    */
    type: eSecurityFeatureType;
    /**
    * Located image fragment
    * @type {string}
    */
    image: string;
    /**
    * Reference image
    * @type {string}
    */
    referenceImage: string;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Create instance of RAuthenticityImageCheckListItem from plain object
    * @param {iRAuthenticityIdentCheck} input - plain object
    * @returns {RAuthenticityIdentCheck}
    */
    static fromPlain: (input: any) => RAuthenticityIdentCheck;
    /**
    * Check if the given object is an instance of RAuthenticityIdentCheck
    * @param {unknown} type - object to check
    * @returns {type is RAuthenticityIdentCheck} - result
    */
    static isBelongs: (type: unknown) => type is RAuthenticityIdentCheck;
}
