import { tAuthenticityOCRSecurityTextCheckResultType } from '../../../../../../../../../../models';
import { eCheckDiagnose, eCheckResult, eVisualFieldType } from '../../../../../../../../../../consts';
import { aAuthenticityCheck } from '../authenticity-check.abstract';
import { iRAuthenticityTextCheckReference, iRLocation, RAuthenticityTextCheckReference, RLocation } from './children';
/**
* Authenticity text check result type
*/
export interface iRAuthenticityTextCheck extends aAuthenticityCheck {
    reference: iRAuthenticityTextCheckReference;
    /**
    * Feature type
    * @type {tAuthenticityOCRSecurityTextCheckResultType}
    */
    checkType: tAuthenticityOCRSecurityTextCheckResultType;
    /**
    * Area location
    * @type {iRLocation}
    */
    location: iRLocation;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Element with which errors are checked
    * @type {eVisualFieldType}
    */
    type: eVisualFieldType;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
}
/**
* Authenticity text check result type
*/
export declare class RAuthenticityTextCheck extends aAuthenticityCheck implements iRAuthenticityTextCheck {
    reference: RAuthenticityTextCheckReference;
    /**
    * Feature type
    * @type {tAuthenticityOCRSecurityTextCheckResultType}
    */
    checkType: tAuthenticityOCRSecurityTextCheckResultType;
    /**
    * Area location
    * @type {RLocation}
    */
    location: RLocation;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    checkResult: eCheckResult;
    /**
    * Element with which errors are checked
    * @type {eVisualFieldType}
    */
    type: eVisualFieldType;
    /**
    * Element with which errors are checked
    * @type {eCheckDiagnose}
    */
    diagnose: eCheckDiagnose;
    /**
    * Create instance of RAuthenticityTextCheck from plain object
    * @param {iRAuthenticityTextCheck} input - plain object
    * @returns {RAuthenticityTextCheck}
    */
    static fromPlain: (input: any) => RAuthenticityTextCheck;
    /**
    * Check if the given object is an instance of RAuthenticityTextCheck
    * @param {unknown} type - object to check
    * @returns {type is RAuthenticityTextCheck} - result
    */
    static isBelongs: (type: unknown) => type is RAuthenticityTextCheck;
}
